Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment.scanner
Class HttpURLDeploymentScanner

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.deployment.scanner.AbstractDeploymentScanner
                  org.jboss.deployment.scanner.URLDeploymentScanner
                      org.jboss.deployment.scanner.HttpURLDeploymentScanner

All Implemented Interfaces:
  DeploymentScanner, DeploymentScannerMBean, HttpURLDeploymentScannerMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Service, ServiceMBean, URLDeploymentScannerMBean

public class HttpURLDeploymentScanner
extends URLDeploymentScanner
implements HttpURLDeploymentScannerMBean

Nested Class Summary
`protected class` | `HttpURLDeploymentScanner.DeployedRemoteURL`
`protected class` | `HttpURLDeploymentScanner.HttpDeploymentFolder`
`protected class` | `HttpURLDeploymentScanner.HttpLister`

Nested classes inherited from class org.jboss.deployment.scanner.URLDeploymentScanner
`URLDeploymentScanner.DeployedURL`

Nested classes inherited from class org.jboss.deployment.scanner.AbstractDeploymentScanner
`AbstractDeploymentScanner.ScannerThread`

Field Summary
`protected String` | `defaultHttpDirectoryListerUrl`
`protected HttpURLDeploymentScanner.HttpLister` | `defaultHttpLister`
`protected String` | `httpDirectoryDownload`
`protected HashMap` | `scannedHttpUrls`

Fields inherited from class org.jboss.deployment.scanner.URLDeploymentScanner
`deployedSet, doRecursiveSearch, filter, lastIncompleteDeploymentException, serverHome, serverHomeURL, sorter, urlList`

Fields inherited from class org.jboss.deployment.scanner.AbstractDeploymentScanner
`deployer, mainDeployer, scanEnabled, scannerThread, scanPeriod`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`HttpURLDeploymentScanner()`

Method Summary
`protected void` | `addHttpDeployment(String relativeName, HttpURLDeploymentScanner.HttpLister lister)`
`protected void` | `deploy(HttpURLDeploymentScanner.DeployedRemoteURL deployedUrl)`
`protected NetBootFile` | `findFileWithName(String name, List deployedRemoteURL)`
`protected NetBootFile` | `findFileWithName(String name, NetBootFile[] files)`
`protected Set` | `getAllDeploymentListers()`
`String` | `getDefaultHttpDirectoryDownloadUrl()` Default URL to be used when downloading files from a remote HTTP folder If none is provided, the one found in jboss.server.home.url is used
`protected HttpURLDeploymentScanner.HttpLister` | `getDefaultHttpDirectoryLister()` Default Lister object when no other lister is specified in the URLs
`String` | `getDefaultHttpDirectoryListerUrl()` Default URL to be used when listing files on a remote HTTP folder If none is provided, the one found in jboss.netboot.listing.url is used If the URL is X, the resulting URL that is used to list the content of folder "foo" will be "Xdir=foo": the provided URL must support this naming convention
`protected List` | `getHttpDeploymentsForLister(HttpURLDeploymentScanner.HttpLister lister)`
`void` | `scan()` Scan for deployment changes.
`protected void` | `scanRemoteDirectory(HttpURLDeploymentScanner.HttpDeploymentFolder httpFolder)`
`void` | `setDefaultHttpDirectoryDownloadUrl(String url)`
`void` | `setDefaultHttpDirectoryListerUrl(String url)`
`void` | `setURLList(List list)`
`void` | `setURLs(String listspec)`
`protected void` | `undeploy(HttpURLDeploymentScanner.DeployedRemoteURL deployedUrl)`

Methods inherited from class org.jboss.deployment.scanner.URLDeploymentScanner
`addURL, addURL, deploy, getFilter, getRecursiveSearch, getURLComparator, getURLList, hasURL, hasURL, isDeployed, makeURL, preRegister, removeURL, removeURL, setFilter, setRecursiveSearch, setURLComparator, undeploy, updateSorter`

Methods inherited from class org.jboss.deployment.scanner.AbstractDeploymentScanner
`createService, destroyService, getDeployer, getScanPeriod, isScanEnabled, setDeployer, setScanEnabled, setScanPeriod, startService, stopService`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.deployment.scanner.URLDeploymentScannerMBean
`addURL, addURL, getFilter, getRecursiveSearch, getURLComparator, getURLList, hasURL, hasURL, removeURL, removeURL, setFilter, setRecursiveSearch, setURLComparator`

Methods inherited from interface org.jboss.deployment.scanner.DeploymentScannerMBean
`getDeployer, isScanEnabled, setDeployer, setScanEnabled, setScanPeriod`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface org.jboss.deployment.scanner.DeploymentScanner
`getDeployer, getScanPeriod, isScanEnabled, setDeployer, setScanEnabled, setScanPeriod`

Field Detail

### defaultHttpDirectoryListerUrl

    protected String defaultHttpDirectoryListerUrl

### httpDirectoryDownload

    protected String httpDirectoryDownload

### defaultHttpLister

    protected HttpURLDeploymentScanner.HttpLister defaultHttpLister

### scannedHttpUrls

    protected HashMap scannedHttpUrls

Constructor Detail

### HttpURLDeploymentScanner

    public HttpURLDeploymentScanner()

Method Detail

### getDefaultHttpDirectoryListerUrl

    public String getDefaultHttpDirectoryListerUrl()

  Default URL to be used when listing files on a remote HTTP folder If none is provided, the one found in jboss.netboot.listing.url is used If the URL is X, the resulting URL that is used to list the content of folder "foo" will be "Xdir=foo": the provided URL must support this naming convention

  Specified by:
    `getDefaultHttpDirectoryListerUrl` in interface `HttpURLDeploymentScannerMBean`

### setDefaultHttpDirectoryListerUrl

    public void setDefaultHttpDirectoryListerUrl(String url)

  Specified by:
    `setDefaultHttpDirectoryListerUrl` in interface `HttpURLDeploymentScannerMBean`

### getDefaultHttpDirectoryDownloadUrl

    public String getDefaultHttpDirectoryDownloadUrl()

  Default URL to be used when downloading files from a remote HTTP folder If none is provided, the one found in jboss.server.home.url is used

  Specified by:
    `getDefaultHttpDirectoryDownloadUrl` in interface `HttpURLDeploymentScannerMBean`

### setDefaultHttpDirectoryDownloadUrl

    public void setDefaultHttpDirectoryDownloadUrl(String url)

  Specified by:
    `setDefaultHttpDirectoryDownloadUrl` in interface `HttpURLDeploymentScannerMBean`

### setURLList

    public void setURLList(List list)

  Specified by:
    `setURLList` in interface `HttpURLDeploymentScannerMBean`
  Overrides:
    `setURLList` in class `URLDeploymentScanner`

### setURLs

    public void setURLs(String listspec)
                 throws MalformedURLException

  Specified by:
    `setURLs` in interface `HttpURLDeploymentScannerMBean`
  Overrides:
    `setURLs` in class `URLDeploymentScanner`
  Throws:
    `MalformedURLException`

### scan

    public void scan()
              throws Exception

  Description copied from interface: `DeploymentScannerMBean`
  Scan for deployment changes.

  Specified by:
    `scan` in interface `HttpURLDeploymentScannerMBean`
  Overrides:
    `scan` in class `URLDeploymentScanner`
  Throws:
    `Exception`

### scanRemoteDirectory

    protected void scanRemoteDirectory(HttpURLDeploymentScanner.HttpDeploymentFolder httpFolder)
                                throws Exception

  Throws:
    `Exception`

### undeploy

    protected void undeploy(HttpURLDeploymentScanner.DeployedRemoteURL deployedUrl)

### deploy

    protected void deploy(HttpURLDeploymentScanner.DeployedRemoteURL deployedUrl)
                   throws MalformedURLException

  Throws:
    `MalformedURLException`

### findFileWithName

    protected NetBootFile findFileWithName(String name,
                                           NetBootFile[] files)

### findFileWithName

    protected NetBootFile findFileWithName(String name,
                                           List deployedRemoteURL)

### addHttpDeployment

    protected void addHttpDeployment(String relativeName,
                                     HttpURLDeploymentScanner.HttpLister lister)

### getHttpDeploymentsForLister

    protected List getHttpDeploymentsForLister(HttpURLDeploymentScanner.HttpLister lister)

### getAllDeploymentListers

    protected Set getAllDeploymentListers()

### getDefaultHttpDirectoryLister

    protected HttpURLDeploymentScanner.HttpLister getDefaultHttpDirectoryLister()

  Default Lister object when no other lister is specified in the URLs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.